Name:           python-nrel-revx
Version:        0.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        National Renewable Energy Laboratory's (NREL's) Renewable Energy Potential(V) eXchange Tool: reVX

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://www2.nrel.gov/gis/renewable-energy-potential
Source:         %{pypi_source nrel_revx}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nrel-revx' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nrel-revx
Summary:        %{summary}

%description -n python3-nrel-revx %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-nrel-revx build,dev,flicker,test


%prep
%autosetup -p1 -n nrel_revx-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x build,dev,flicker,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nrel-revx -f %{pyproject_files}


%changelog
%autochangelog